use std::env::args;

#[macro_export] macro_rules! iff {
    ($c:expr, $t:expr, $f:expr) => ( if $c { $t } else { $f } )
}

fn main() {
    let has_arg = iff!(args().skip(1).len() > 0, true, false);
    println!("Has args: {}", has_arg);
}
